## org.apache.batik.util.gui
Interface DropDownComponent.ScrollablePopupMenuItem

All Known Implementing Classes:
  DropDownComponent.DefaultScrollablePopupMenuItem

Enclosing class:
  DropDownComponent

    public static interface DropDownComponent.ScrollablePopupMenuItem

The scrollable pop up menu item.

Method Summary
`java.lang.String` `getText()` Returns the item name.
`boolean` `isSelected()` Checks if the item is selected.
`void` `setEnabled(boolean enabled)` Enables / disables the item
`void` `setSelected(boolean selected)` Selects and deselects the item.
`void` `setText(java.lang.String text)` Sets the item name.

Method Detail

### setSelected

    void setSelected(boolean selected)

  Selects and deselects the item.

  Parameters:
    `selected` - is selected

### isSelected

    boolean isSelected()

  Checks if the item is selected.

  Returns:
    True if selected

### getText

    java.lang.String getText()

  Returns the item name.

  Returns:
    the name

### setText

    void setText(java.lang.String text)

  Sets the item name.

  Parameters:
    `text` - The new item name

### setEnabled

    void setEnabled(boolean enabled)

  Enables / disables the item

  Parameters:
    `enabled` - True - enables the item

Copyright © 2008 Apache Software Foundation. All Rights Reserved.